> ## Documentation Index
> Fetch the complete documentation index at: https://docs.relay.link/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Currencies

> This api returns currency metadata from a curated list



## OpenAPI

````yaml post /currencies/v1
openapi: 3.0.3
info:
  title: Cross-chain solver
  version: 1.0.0
servers:
  - url: https://api.relay.link
    description: Mainnet API
  - url: https://api.testnets.relay.link
    description: Testnet API
security: []
paths:
  /currencies/v1:
    post:
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                defaultList:
                  type: boolean
                  description: Return default currencies
                chainIds:
                  type: array
                  items:
                    type: number
                  description: Chain IDs to search for currencies
                term:
                  type: string
                  description: Search term for currencies
                address:
                  type: string
                  description: Address of the currency contract
                currencyId:
                  type: string
                  description: ID to search for a currency group
                tokens:
                  type: array
                  items:
                    type: string
                  description: 'List of token addresses, like: chainId:address'
                verified:
                  type: boolean
                  description: Filter verified currencies
                limit:
                  type: number
                  description: Limit the number of results
                includeAllChains:
                  type: boolean
                  description: >-
                    Include all chains for a currency when filtering by chainId
                    and address
                useExternalSearch:
                  type: boolean
                  description: >-
                    Uses 3rd party API's to search for a token, in case relay
                    does not have it indexed
                depositAddressOnly:
                  type: boolean
                  description: >-
                    Returns only currencies supported with deposit address
                    bridging
      responses:
        '200':
          description: List of currencies
          content:
            application/json:
              schema:
                type: array
                items:
                  type: array
                  items:
                    type: object
                    properties:
                      groupID:
                        type: string
                      chainId:
                        type: number
                      address:
                        type: string
                      symbol:
                        type: string
                      name:
                        type: string
                      decimals:
                        type: number
                      vmType:
                        type: string
                        enum:
                          - bvm
                          - evm
                          - svm
                          - tvm
                          - tonvm
                          - suivm
                          - hypevm
                          - lvm
                      metadata:
                        type: object
                        properties:
                          logoURI:
                            type: string
                          verified:
                            type: boolean
                          isNative:
                            type: boolean
                description: List of currencies

````